// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace LoyaltyPointEngine.CMS.Controllers
{
    public partial class ReceiptController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected ReceiptController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult AddJson()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.AddJson);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Detail()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detail);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Reject()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Reject);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult UploadFromExel()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.UploadFromExel);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GetCampaignValueById()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetCampaignValueById);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllReceiptPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllReceiptPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.JsonResult CheckDuplicateReceiptCode()
        {
            return new T4MVC_System_Web_Mvc_JsonResult(Area, Name, ActionNames.CheckDuplicateReceiptCode);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.JsonResult CheckMinimumPrice()
        {
            return new T4MVC_System_Web_Mvc_JsonResult(Area, Name, ActionNames.CheckMinimumPrice);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult DownloadJson()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DownloadJson);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ReceiptController Actions { get { return MVC.Receipt; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "Receipt";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "Receipt";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string Add = "Add";
            public readonly string AddJson = "AddJson";
            public readonly string Moderate = "Moderate";
            public readonly string Detail = "Detail";
            public readonly string Edit = "Edit";
            public readonly string Detil = "Detil";
            public readonly string Reject = "Reject";
            public readonly string UploadFromExel = "UploadFromExel";
            public readonly string DownloadExcelTemplate = "DownloadExcelTemplate";
            public readonly string GetCampaignValueById = "GetCampaignValueById";
            public readonly string GridGetAllReceiptPager = "GridGetAllReceiptPager";
            public readonly string CheckDuplicateReceiptCode = "CheckDuplicateReceiptCode";
            public readonly string CheckMinimumPrice = "CheckMinimumPrice";
            public readonly string DownloadJson = "DownloadJson";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string Add = "Add";
            public const string AddJson = "AddJson";
            public const string Moderate = "Moderate";
            public const string Detail = "Detail";
            public const string Edit = "Edit";
            public const string Detil = "Detil";
            public const string Reject = "Reject";
            public const string UploadFromExel = "UploadFromExel";
            public const string DownloadExcelTemplate = "DownloadExcelTemplate";
            public const string GetCampaignValueById = "GetCampaignValueById";
            public const string GridGetAllReceiptPager = "GridGetAllReceiptPager";
            public const string CheckDuplicateReceiptCode = "CheckDuplicateReceiptCode";
            public const string CheckMinimumPrice = "CheckMinimumPrice";
            public const string DownloadJson = "DownloadJson";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string status = "status";
            public readonly string hiddenAwal = "hiddenAwal";
            public readonly string hiddenAkhir = "hiddenAkhir";
            public readonly string channelHidden = "channelHidden";
            public readonly string spgCodeHidden = "spgCodeHidden";
            public readonly string eventCodeHidden = "eventCodeHidden";
            public readonly string statusHidden = "statusHidden";
            public readonly string memberIDHidden = "memberIDHidden";
            public readonly string retailerHidden = "retailerHidden";
            public readonly string retailerHasHidden = "retailerHasHidden";
        }
        static readonly ActionParamsClass_AddJson s_params_AddJson = new ActionParamsClass_AddJson();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_AddJson AddJsonParams { get { return s_params_AddJson; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_AddJson
        {
            public readonly string Image = "Image";
        }
        static readonly ActionParamsClass_Moderate s_params_Moderate = new ActionParamsClass_Moderate();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Moderate ModerateParams { get { return s_params_Moderate; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Moderate
        {
            public readonly string ReceiptID = "ReceiptID";
        }
        static readonly ActionParamsClass_Detail s_params_Detail = new ActionParamsClass_Detail();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Detail DetailParams { get { return s_params_Detail; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Detail
        {
            public readonly string ReceiptID = "ReceiptID";
        }
        static readonly ActionParamsClass_Edit s_params_Edit = new ActionParamsClass_Edit();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Edit EditParams { get { return s_params_Edit; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Edit
        {
            public readonly string ReceiptID = "ReceiptID";
        }
        static readonly ActionParamsClass_Detil s_params_Detil = new ActionParamsClass_Detil();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Detil DetilParams { get { return s_params_Detil; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Detil
        {
            public readonly string ReceiptID = "ReceiptID";
        }
        static readonly ActionParamsClass_Reject s_params_Reject = new ActionParamsClass_Reject();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Reject RejectParams { get { return s_params_Reject; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Reject
        {
            public readonly string model = "model";
        }
        static readonly ActionParamsClass_UploadFromExel s_params_UploadFromExel = new ActionParamsClass_UploadFromExel();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_UploadFromExel UploadFromExelParams { get { return s_params_UploadFromExel; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_UploadFromExel
        {
            public readonly string Status = "Status";
            public readonly string excelFile = "excelFile";
        }
        static readonly ActionParamsClass_GetCampaignValueById s_params_GetCampaignValueById = new ActionParamsClass_GetCampaignValueById();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GetCampaignValueById GetCampaignValueByIdParams { get { return s_params_GetCampaignValueById; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GetCampaignValueById
        {
            public readonly string ID = "ID";
        }
        static readonly ActionParamsClass_GridGetAllReceiptPager s_params_GridGetAllReceiptPager = new ActionParamsClass_GridGetAllReceiptPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllReceiptPager GridGetAllReceiptPagerParams { get { return s_params_GridGetAllReceiptPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllReceiptPager
        {
            public readonly string txtSearch = "txtSearch";
            public readonly string page = "page";
            public readonly string memberIDHidden = "memberIDHidden";
            public readonly string hiddenAwal = "hiddenAwal";
            public readonly string hiddenAkhir = "hiddenAkhir";
            public readonly string statusHidden = "statusHidden";
            public readonly string channelHidden = "channelHidden";
            public readonly string spgCodeHidden = "spgCodeHidden";
            public readonly string eventCodeHidden = "eventCodeHidden";
            public readonly string retailerHidden = "retailerHidden";
            public readonly string retailerHasHidden = "retailerHasHidden";
            public readonly string orderColumn = "orderColumn";
            public readonly string orderDirection = "orderDirection";
        }
        static readonly ActionParamsClass_CheckDuplicateReceiptCode s_params_CheckDuplicateReceiptCode = new ActionParamsClass_CheckDuplicateReceiptCode();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_CheckDuplicateReceiptCode CheckDuplicateReceiptCodeParams { get { return s_params_CheckDuplicateReceiptCode; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_CheckDuplicateReceiptCode
        {
            public readonly string ReceiptCode = "ReceiptCode";
        }
        static readonly ActionParamsClass_CheckMinimumPrice s_params_CheckMinimumPrice = new ActionParamsClass_CheckMinimumPrice();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_CheckMinimumPrice CheckMinimumPriceParams { get { return s_params_CheckMinimumPrice; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_CheckMinimumPrice
        {
            public readonly string Price = "Price";
            public readonly string Quantity = "Quantity";
            public readonly string ActionID = "ActionID";
        }
        static readonly ActionParamsClass_DownloadJson s_params_DownloadJson = new ActionParamsClass_DownloadJson();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_DownloadJson DownloadJsonParams { get { return s_params_DownloadJson; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_DownloadJson
        {
            public readonly string ReceiptID = "ReceiptID";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string Add = "Add";
                public readonly string Detail = "Detail";
                public readonly string Detil = "Detil";
                public readonly string Edit = "Edit";
                public readonly string GridGetAllReceipt = "GridGetAllReceipt";
                public readonly string Index = "Index";
                public readonly string Moderate = "Moderate";
                public readonly string UploadFromExel = "UploadFromExel";
            }
            public readonly string Add = "~/Views/Receipt/Add.cshtml";
            public readonly string Detail = "~/Views/Receipt/Detail.cshtml";
            public readonly string Detil = "~/Views/Receipt/Detil.cshtml";
            public readonly string Edit = "~/Views/Receipt/Edit.cshtml";
            public readonly string GridGetAllReceipt = "~/Views/Receipt/GridGetAllReceipt.cshtml";
            public readonly string Index = "~/Views/Receipt/Index.cshtml";
            public readonly string Moderate = "~/Views/Receipt/Moderate.cshtml";
            public readonly string UploadFromExel = "~/Views/Receipt/UploadFromExel.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_ReceiptController : LoyaltyPointEngine.CMS.Controllers.ReceiptController
    {
        public T4MVC_ReceiptController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            IndexOverride(callInfo, status);
            return callInfo;
        }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string hiddenAwal, string hiddenAkhir, LoyaltyPointEngine.Model.Object.Common.Channel? channelHidden, string spgCodeHidden, int? eventCodeHidden, LoyaltyPointEngine.Data.Receipt.ReceiptStatus? statusHidden, string memberIDHidden, int? retailerHidden, string retailerHasHidden);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string hiddenAwal, string hiddenAkhir, LoyaltyPointEngine.Model.Object.Common.Channel? channelHidden, string spgCodeHidden, int? eventCodeHidden, LoyaltyPointEngine.Data.Receipt.ReceiptStatus? statusHidden, string memberIDHidden, int? retailerHidden, string retailerHasHidden)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAwal", hiddenAwal);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAkhir", hiddenAkhir);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "channelHidden", channelHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "spgCodeHidden", spgCodeHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "eventCodeHidden", eventCodeHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "statusHidden", statusHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "memberIDHidden", memberIDHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "retailerHidden", retailerHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "retailerHasHidden", retailerHasHidden);
            IndexOverride(callInfo, hiddenAwal, hiddenAkhir, channelHidden, spgCodeHidden, eventCodeHidden, statusHidden, memberIDHidden, retailerHidden, retailerHasHidden);
            return callInfo;
        }

        [NonAction]
        partial void AddOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Add()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Add);
            AddOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void AddJsonOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Collections.Generic.IEnumerable<System.Web.HttpPostedFileBase> Image);

        [NonAction]
        public override System.Web.Mvc.ActionResult AddJson(System.Collections.Generic.IEnumerable<System.Web.HttpPostedFileBase> Image)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.AddJson);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Image", Image);
            AddJsonOverride(callInfo, Image);
            return callInfo;
        }

        [NonAction]
        partial void ModerateOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ReceiptID);

        [NonAction]
        public override System.Web.Mvc.ActionResult Moderate(System.Guid ReceiptID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Moderate);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ReceiptID", ReceiptID);
            ModerateOverride(callInfo, ReceiptID);
            return callInfo;
        }

        [NonAction]
        partial void ModerateOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Moderate()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Moderate);
            ModerateOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void DetailOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ReceiptID);

        [NonAction]
        public override System.Web.Mvc.ActionResult Detail(System.Guid ReceiptID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detail);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ReceiptID", ReceiptID);
            DetailOverride(callInfo, ReceiptID);
            return callInfo;
        }

        [NonAction]
        partial void EditOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ReceiptID);

        [NonAction]
        public override System.Web.Mvc.ActionResult Edit(System.Guid ReceiptID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ReceiptID", ReceiptID);
            EditOverride(callInfo, ReceiptID);
            return callInfo;
        }

        [NonAction]
        partial void EditOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Edit()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
            EditOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void DetilOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult Detil()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detil);
            DetilOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void DetilOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ReceiptID);

        [NonAction]
        public override System.Web.Mvc.ActionResult Detil(System.Guid ReceiptID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detil);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ReceiptID", ReceiptID);
            DetilOverride(callInfo, ReceiptID);
            return callInfo;
        }

        [NonAction]
        partial void RejectOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, LoyaltyPointEngine.Model.Parameter.Receipt.RejectReceiptModel model);

        [NonAction]
        public override System.Web.Mvc.ActionResult Reject(LoyaltyPointEngine.Model.Parameter.Receipt.RejectReceiptModel model)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Reject);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "model", model);
            RejectOverride(callInfo, model);
            return callInfo;
        }

        [NonAction]
        partial void UploadFromExelOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string Status);

        [NonAction]
        public override System.Web.Mvc.ActionResult UploadFromExel(string Status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.UploadFromExel);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Status", Status);
            UploadFromExelOverride(callInfo, Status);
            return callInfo;
        }

        [NonAction]
        partial void UploadFromExelOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Web.HttpPostedFileBase excelFile);

        [NonAction]
        public override System.Web.Mvc.ActionResult UploadFromExel(System.Web.HttpPostedFileBase excelFile)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.UploadFromExel);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "excelFile", excelFile);
            UploadFromExelOverride(callInfo, excelFile);
            return callInfo;
        }

        [NonAction]
        partial void DownloadExcelTemplateOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult DownloadExcelTemplate()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DownloadExcelTemplate);
            DownloadExcelTemplateOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GetCampaignValueByIdOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int ID);

        [NonAction]
        public override System.Web.Mvc.ActionResult GetCampaignValueById(int ID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GetCampaignValueById);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            GetCampaignValueByIdOverride(callInfo, ID);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllReceiptPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string txtSearch, int? page, string memberIDHidden, string hiddenAwal, string hiddenAkhir, int? statusHidden, string channelHidden, string spgCodeHidden, int? eventCodeHidden, int? retailerHidden, string retailerHasHidden, string orderColumn, string orderDirection);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllReceiptPager(string txtSearch, int? page, string memberIDHidden, string hiddenAwal, string hiddenAkhir, int? statusHidden, string channelHidden, string spgCodeHidden, int? eventCodeHidden, int? retailerHidden, string retailerHasHidden, string orderColumn, string orderDirection)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllReceiptPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "memberIDHidden", memberIDHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAwal", hiddenAwal);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAkhir", hiddenAkhir);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "statusHidden", statusHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "channelHidden", channelHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "spgCodeHidden", spgCodeHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "eventCodeHidden", eventCodeHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "retailerHidden", retailerHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "retailerHasHidden", retailerHasHidden);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderColumn", orderColumn);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderDirection", orderDirection);
            GridGetAllReceiptPagerOverride(callInfo, txtSearch, page, memberIDHidden, hiddenAwal, hiddenAkhir, statusHidden, channelHidden, spgCodeHidden, eventCodeHidden, retailerHidden, retailerHasHidden, orderColumn, orderDirection);
            return callInfo;
        }

        [NonAction]
        partial void CheckDuplicateReceiptCodeOverride(T4MVC_System_Web_Mvc_JsonResult callInfo, string ReceiptCode);

        [NonAction]
        public override System.Web.Mvc.JsonResult CheckDuplicateReceiptCode(string ReceiptCode)
        {
            var callInfo = new T4MVC_System_Web_Mvc_JsonResult(Area, Name, ActionNames.CheckDuplicateReceiptCode);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ReceiptCode", ReceiptCode);
            CheckDuplicateReceiptCodeOverride(callInfo, ReceiptCode);
            return callInfo;
        }

        [NonAction]
        partial void CheckMinimumPriceOverride(T4MVC_System_Web_Mvc_JsonResult callInfo, int Price, int Quantity, int ActionID);

        [NonAction]
        public override System.Web.Mvc.JsonResult CheckMinimumPrice(int Price, int Quantity, int ActionID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_JsonResult(Area, Name, ActionNames.CheckMinimumPrice);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Price", Price);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "Quantity", Quantity);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ActionID", ActionID);
            CheckMinimumPriceOverride(callInfo, Price, Quantity, ActionID);
            return callInfo;
        }

        [NonAction]
        partial void DownloadJsonOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, System.Guid ReceiptID);

        [NonAction]
        public override System.Web.Mvc.ActionResult DownloadJson(System.Guid ReceiptID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DownloadJson);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ReceiptID", ReceiptID);
            DownloadJsonOverride(callInfo, ReceiptID);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
